## GMimeReferences

GMimeReferences — a list of Message-Ids

## Functions

GMimeReferences * | g_mime_references_new ()
void | g_mime_references_free ()
GMimeReferences * | g_mime_references_copy ()
GMimeReferences * | g_mime_references_parse ()
int | g_mime_references_length ()
void | g_mime_references_append ()
void | g_mime_references_clear ()
const char * | g_mime_references_get_message_id ()
void | g_mime_references_set_message_id ()

## Types and Values

struct | GMimeReferences

## Description

A list of Message-Ids as found in a References or In-Reply-To header.

## Functions

### g_mime_references_new ()

    GMimeReferences *
    g_mime_references_new (void);

Creates a new GMimeReferences.

#### Returns

a new GMimeReferences.

### g_mime_references_free ()

    void
    g_mime_references_free (GMimeReferences *refs);

Frees the GMimeReferences list.

#### Parameters

refs | a GMimeReferences list |

### g_mime_references_copy ()

    GMimeReferences *
    g_mime_references_copy (GMimeReferences *refs);

Copies a GMimeReferences list.

#### Parameters

refs | the list of references to copy |

#### Returns

a new GMimeReferences list that contains an identical list of items as `refs` .

[transfer full]

### g_mime_references_parse ()

    GMimeReferences *
    g_mime_references_parse (GMimeParserOptions *options,
                             const char *text);

Decodes a list of msg-ids as in the References and/or In-Reply-To headers defined in rfc822.

#### Parameters

options | a GMimeParserOptions or `NULL`. | [nullable]
text | string containing a list of msg-ids |

#### Returns

a new GMimeReferences containing the parsed message ids.

[transfer full]

### g_mime_references_length ()

    int
    g_mime_references_length (GMimeReferences *refs);

Gets the length of the GMimeReferences list.

#### Parameters

refs | a GMimeReferences |

#### Returns

the number of message ids in the list.

### g_mime_references_append ()

    void
    g_mime_references_append (GMimeReferences *refs,
                              const char *msgid);

Appends a reference to msgid to the list of references.

#### Parameters

refs | a GMimeReferences |
msgid | a message-id string |

### g_mime_references_clear ()

    void
    g_mime_references_clear (GMimeReferences *refs);

Clears the GMimeReferences list.

#### Parameters

refs | a GMimeReferences |

### g_mime_references_get_message_id ()

    const char *
    g_mime_references_get_message_id (GMimeReferences *refs,
                                      int index);

Gets the specified Message-Id reference from the GMimeReferences.

#### Parameters

refs | a GMimeReferences |
index | the index of the message id |

#### Returns

the Message-Id reference from the GMimeReferences.

### g_mime_references_set_message_id ()

    void
    g_mime_references_set_message_id (GMimeReferences *refs,
                                      int index,
                                      const char *msgid);

Sets the specified Message-Id reference from the GMimeReferences.

#### Parameters

refs | a GMimeReferences |
index | the index of the message id |
msgid | the message id |

## Types and Values

### struct GMimeReferences

    struct GMimeReferences {
    	GPtrArray *array;
    };

A List of references, as per the References or In-Reply-To header fields.

#### Members

GPtrArray *`array`; | the array of message-id references |